/*.textImgInsrtd{margin: 7px 0px !important;}*/
.cont_adm_top_btn_none
{
    border-radius: 20px !important;
    border-bottom: 1px #75A99C solid !important;
}
.modal-content-big
{
    width: 900px;
}
.modal-content-soc
{
    max-width: 700px;
}
.modal-content-big-img
{
    max-width: 1000px;
}
.tox .tox-toolbar--scrolling
{
    flex-wrap: wrap !important;
}
.addNewImgButton
{
	display: flex;
    justify-content: center;
    align-items: center;
}

.chooseSiteTypeWrapper
{
	z-index: 2000;
}

.closeSeoBttns
{
	margin: 0 7px 0 10px;
    background-color: red;
    border: 2px solid white;
    border-radius: 5px;
    padding: 2px 7px;
    color: white;
    display: inline-block;
    position: absolute;
    top: -25px;
    transform: translate(-50%,70%);
    left: calc(100% + 10px);
}

.dscrptnImgAdd
{
	font-size: 10px;
    padding: 10px 0;
    line-height: 1.2;
    color: gray;
    text-align: justify;
}

.black
{
	font-weight:600;
	color: #6c6c6c;
}

.bld
{
	font-weight:600;
}

.tox-tinymce
{
	min-height: 1000px;
}

h1>.tox-tinymce
{
	min-height: 300px;
}

.seoChrctrs
{
	font-size: 12px;
    padding: 10px;
    background-color: #f1f1f1;
}

.changeDataTextarea
{
	min-height: 30px;
    margin-bottom: 30px;
}

.putImgWrapper>*
{
	cursor:pointer;
}

.changingTextarea:before
{
	content:'✎';
}

.popupWrapper
{
	position: absolute;
    left: 100%;
}
.imgPopupWrapper
{
	top: 0;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
}
.btn_green>.light_green
{
	background-color: #f0f9f7;
    color: #b5b5b5;
    border: 1px #b7d7cf solid;
}
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,.7);
  z-index: 999999;
  display:none;
}

#loader {
  position: absolute;
  top: 50%;
  left: 50%;
  border: 16px solid #FEF4F4;
  border-top: 16px solid #679D8F;
  border-radius: 50%;
  width: 80px;
  height: 80px;
  animation: spin 2s linear infinite;
  margin: -60px 0 0 -60px;
  box-shadow: 0px 0px 15px 3px #00000061;
  user-select: none;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
.imgPopupWrapper:hover>.imgPopupText
{
	display:inline-block;
}
.imgPopupText
{
    display: none;
    position: absolute;
    left: 0;
    transform: translateX(calc(-100% - 10px));
    width: 300px;
    background-color: #faf6f6e6;
    font-weight: 200;
    font-size: 1.1em;
    padding: 1em;
    text-align: justify;
    border: 1px solid #dddddd;
    box-shadow: 2px 2px 6px lightslategrey;
    color: #353535;
    line-height: 1.3;
    bottom: 0;
    right: 0;
    z-index: 1;
    border-radius: 5px;
}
.cnstrtrPopupWrapper
{
	position: absolute;
    color: black;
    border: 2px solid black;
    border-radius: 50%;
    line-height: 1;
    padding: 2px 6px;
    text-shadow: none;
    top: 10px;
    right: -30px;
    font-weight: 600;
}

.cnstrtrPopupText
{
	display:none;
}

.cnstrtrPopupWrapper:hover>*,.cnstrtrPopupWrppr:hover>.cnstrtrPopupText
{
    display: inline-block;
    position: absolute;
    width: 300px;
    top: 50px;
    left: 50%;
    /* font-weight: 100; */
    padding: 1em;
    background-color: #efefef;
    margin: 5px 0;
    border: 5px solid #dcdcdc;
    transform: translateX(-50%);
    border: 1px solid #dddddd;
    box-shadow: 2px 2px 6px lightslategrey;
    border-radius: 5px;
    font-size: 0.8em;
    color: #505050;
    line-height: 1.3;
}

.seoQstnWrppr:hover>.explainWrapper {
    height: 60vh;
    width: 300px;
    padding: 5px;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    border: 1px solid #b7b7b7;
    box-shadow: 0 0 20px grey;
}

@media screen and (max-width: 1000px)
{
	.cnstrtrPopupWrapper:hover>*
	{
		left: -130px;
	}
}

.weight
{
	font-weight: 600;
    text-shadow: 0 0 3px grey;
    color: #606060;
	font-size: 30px;
}

.errorWrap
{
	color: #a72020;
    font-size: 18px;
    text-shadow: 0 0 1px #9b0303;
}

.seoWrap
{
	display: block;
    overflow: auto;
    height: 90%;
}

.seoWrap>*
{
	padding: 5px 20px;
}

.seoClass
{
	bottom:5%;
}

.seoWrap::-webkit-scrollbar {
    width: 5px;
    height: 8px;
    background-color: #e9e9e9;
}

/* ползунок скроллбара */
.seoWrap::-webkit-scrollbar-thumb {
    background-color: #979797;
}

.seoWrap::-webkit-scrollbar-thumb:hover {
    background-color: #5c5c5c;
}

.seoSave
{
	bottom: -30px;
    top: auto;
	background-color: #2e826a;
    border: 1px solid #ffffff;
    color: #ffffff;
    box-shadow: 0px 0px 30px #b5b5b5;
    position: relative;
    border-radius: 15px;
    font-size: 14px;
    cursor: pointer;
    display: inline-block;
    font-weight: 800;
    padding: 5px 10px;
    z-index: 2;
    text-shadow: 0 0 3px black;
    text-decoration: none;
}

.seoWhatToDo
{
	padding: 20px;
    font-size: 12px;
    text-align: initial;
    line-height: 1.4;
    background-color: #f7f7f7;
    border: 1px solid gray;
    margin: 15px;
}

.seoTtl>.changeDataTitle,.seoDscrptn>.changeDataTitle,.seoKwrds>.changeDataTitle
{
	background-color: #b6d9ca;
}

.seoTtl>textarea.changeDataTextarea,.seoDscrptn>textarea.changeDataTextarea,.seoKwrds>textarea.changeDataTextarea
{
	padding: 10px;
	width: 90%;
	margin-bottom:0;
}

.seoWhatToDo>*
{
	padding:3px 0;
}

.seoPddng
{
	padding:10px 0;
}

.tox .tox-statusbar
{
	display:none;
}

.blackResetSwapping
{
	position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    FONT-WEIGHT: 600;
    color: #545454;
    z-index: -1;
}

.seoRed{
	color: red;
    font-size: 14px;
    font-weight: 600;
}

/* Oleg style */
.cont_del_btn
{
    float: right;
    box-shadow: -1px 2px 3px 1px #656869b5;
}
.admin_top_menu
{
    background-color: #ddddddab;
    height: 3.2em;
    position: fixed;
    top: 0;
    width: 100%;
    padding: 0em 1em;
    display: grid;
    align-items: center;
    justify-items: center;
    z-index: 10000;
    border-bottom: 1px solid #d2d2d2;
    grid-template-columns: auto 40px 80px;
}
.lang_btn
{
    background-color: #2E826A;
    color: #fff;
    padding: 0.5em;
    border-radius: 50%;
    display: grid;
    font-size: 0.85em;
    align-items: center;
    transition: 300ms;
    border: 2px #ffffff solid;
}
.lang_btn:hover
{
    background-color: #63b19a;
    transition: 300ms; 
}
.lang_btn img
{
    height: 26px;   
}
.lang_img
{
    display: grid;
}
.lang_img img
{
    height: 40px;
    padding: 5px;
    border-radius: 10px;
}
.lang_tab 
{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin: 2em 1em;
    grid-column-gap: 2em;
}
.lang_block 
{
    display: grid;
    border-radius: 0.5em;
    /* grid-template-columns: 40px auto; */
	grid-template-columns: auto;
    transition: 400ms;
    grid-column-gap: 0.5em;
    background-color: #daefe9;
    border: 1px #9acabe solid;
    align-items: center;
    cursor: pointer;
	padding: 0.6em;
}
.lang_block:hover
{
    background-color: #bcddd4;
    transition: 400ms;
}
.admin_top_menu_tab
{
    display: inline-grid;
    grid-template-columns: auto auto;
    grid-column-gap: 1em;
}
.admin_btn_top_menu
{
    background-color: #fff;
    border-radius: 20px;
    display: grid;
    grid-template-columns: auto auto;
    align-items: center;
    border: 2px solid #fff;
    box-shadow: 0px 0px 5px -2px #7a7e80;
    cursor: pointer;
    user-select: none;
    transition: 300ms;
}
.admin_btn_top_menu_p1
{
    background-color: #9ACABE;
    border: 1px #9ACABE solid;
    padding: 0.45em 1.5em 0.45em 1em;
    border-radius: 25px;
    display: grid;
    grid-template-columns: auto auto;
    font-size: 0.85em;
    align-items: center;
    cursor: pointer;
    user-select: none;
    transition: 300ms;
}
.admin_btn_top_menu_p1 img
{
    height: 26px;
    margin: -0.1em 0.5em -0.6em 0em;
}
.admin_btn_top_menu:hover .admin_btn_top_menu_p1
{
    background-color: #fff;
    transition: 300ms;
}
.admin_btn_top_menu_p2
{
    background-color: #2E826A;
    color: #fff;
    padding: 0.5em 1.5em 0.5em 1em;
    border-radius: 20px;
    display: grid;
    grid-template-columns: auto auto;
    font-size: 0.85em;
    align-items: center;
    transition: 300ms;
}
.admin_btn_top_menu_p2 img
{
    height: 26px;
    margin: -0.1em 0.5em -0.6em 0em;
}
.admin_btn_top_menu:hover .admin_btn_top_menu_p2
{
    background-color: #63b19a;
    transition: 300ms;
}
.admin_btn_ico_question
{
    height: 22px;
    margin: 0em 0.4em -0.3em 0.2em;
}
.tox-tinymce
{
    border-radius: 5px !important;
    box-shadow: 0px 0px 9px -2px #7a7e80;
}
.saveH1
{
    text-align: center !important;
    display: block !important;
    width: 100% !important;
    background-color: #9acabe !important;
    border-top: 1px solid #eeeeee !important;
    color: #38403e !important;
    margin: auto !important;
    padding: 0.5em !important;
    border-radius: 0px 0px 5px 5px !important;
    font-size: 1.1em !important;
    cursor: pointer !important;
}
.saveH1_2
{
    margin-top: -5px !important;
    z-index: 2;
    position: relative;
    border: 2px solid #eeeeee !important;
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif !important;
}
.tox-edit-area
{
    padding-bottom: 0.5em !important;
}
.gal_btn_info img
{
    height: 15px;
    margin-bottom: -0.4em;
    margin-left: 0.4em;
}
.gal_btn_info:hover
{
    background-color: #ffffff;
    transition: 300ms;
    box-shadow: 2px 3px 4px -3px #aeaeaec4;
}
.gal_dig_add_img
{
    padding: 0.3em 1em;
    border-bottom: 1px solid #9E9E9E;
    font-size: 0.8em;
    color: #9d9d9d;
    cursor: pointer;
}
.gal_dig_ico
{
    max-width: 140px;
    margin-bottom: -0.7em;
    min-width: 100px;
}
.stopSaving
{
	position: absolute;
    top: -1px;
    background-color: white;
    bottom: -1px;
    left: -1px;
    right: -1px;
    border-radius: 20px;
    opacity: .6;
	z-index:1;
}
.gal_small_img_no:hover
{   
    background-color: #e2dedeb0;
    transition: 300ms;
}
.gal_big_ico_small

{
    max-width: 65px;
}
.btn_green
{
    border: 1px #75A99C solid;
    border-radius: 20px;
    background-color: #E3F0ED;
    display: grid;
    grid-template-columns: 40px auto;
    align-items: center;
    cursor: pointer;
	position:relative;
    transition: 400ms;
    user-select: none;
}
input[type='text'].styler.redBorder
{
	border: 2px solid red;
    font-weight: 600;
    font-style: italic;
}
.admin_footer_menu_red a {
	color:white;
    width: 100%;
    text-align: center;
}
a{
	text-decoration:none;
}
.ctlWarn
{
	font-size: .8em;
    background-color: #f0dbdb;
    padding: 5px 0;
    color: #641f1f;
    line-height: 1.2;
	display:none;
}
.btn_green:hover
{
    background-color: #cae6e0;
    transition: 400ms;
}
.btn_green:hover .btn_green_in
{
    background-color: #ffffff;
    border: 1px #9ca1a6 solid;
    transition: 400ms;
}
.btn_green:active .btn_green_in{background-color: #9acabe;}

.btn_green_in
{
    background-color: #9acabe;
    border: 1px #9ACABE solid;
    border-radius: 17px;
    padding: 0.5em 1.5em;
    text-align: center;
    line-height: 1.3;
    margin: 0.2em;
    font-size: 0.85em;
    transition: 400ms;
    color: #000;
}
.btn_green_in_heigth
{
    height: 3em;
    display: grid;
    align-items: center;
}


.btn_red
{
    border: 1px #AD7B7B solid;
    border-radius: 20px;
    background-color: #F0E3E3;
    display: grid;
    grid-template-columns: 40px auto;
    align-items: center;
    cursor: pointer;
    transition: 400ms;
    min-height: 3.5em;
    user-select: none;
}
.btn_red:hover
{
    background-color: #E9DCDC;
    transition: 400ms;
}
.btn_red:hover .btn_red_in
{
    background-color: #fff;
    border: 1px #AD7B7B solid;
    color: #E83B3B;
    transition: 400ms;
}
.btn_red_in
{
    background-color: #FA4747;
    border: 1px #FA4747 solid;
    border-radius: 17px;
    padding: 0.5em 3em;
    text-align: center;
    line-height: 1.3;
    margin: 0.2em;
    font-size: 0.85em;
    transition: 400ms;
    color: #fff;
    height: 3em;
    display: grid;
    align-items: center;
}
.bnt_ico_del
{
    width: 35px;
    padding-left: 0.2em;
    opacity: 0.6;
}



.btn_ico{display: grid; justify-items: center;}
.bnt_ico_1{width: 30px; padding-left: 0.2em;}
.bnt_ico_1_text{width: 25px; padding-left: 0.2em; opacity: 0.8;}
.admin_footer_menu
{
    height: 2.5em;
    display: grid;
    grid-template-columns: 1fr 1fr;
    position: fixed;
    bottom: 0;
    width: 100%;
    align-items: center;
    justify-items: center;
    z-index: 100000;
    border: 1px #e4e6e8 solid;
}
.admin_footer_menu_green
{
    background-color: #2E826A;
    color: #fff;
    width: 100%;
    height: 100%;
    display: grid;
    align-items: center;
    justify-items: center;
    border-right: 1px solid #e4e6e8;
    cursor: pointer;
    user-select: none;
    transition: 300ms;
}
.admin_footer_menu_green:hover
{
    background-color: #266956;
    transition: 300ms;
}
.admin_footer_menu_red
{
    background-color: #D21717;
    color: #fff;
    width: 100%;
    height: 100%;
    display: grid;
    align-items: center;
    justify-items: center;
    cursor: pointer;
    user-select: none;
    transition: 300ms;
}
.admin_footer_menu_red:hover
{
    background-color: #b31717;
    transition: 300ms;
}
.admin_footer_menu_info
{
    display: inline-grid;
    grid-template-columns: auto auto;
    grid-column-gap: 0.5em;
}
.bnt_ico_2
{
    width: 1.5em;
    margin-bottom: -0.35em;
}
.cont_adm_block_btn
{
    max-width: 1600px;
    display: grid;
    justify-items: end;
    margin-top: 2em;
}
.cont_adm_top_btn_text
{
    border: 1px #75A99C solid;
    border-top: 1px #e3f0ed solid;
    border-radius: 0 0 20px 20px;
    background-color: #E3F0ED;
    display: grid;
    grid-template-columns: 40px auto;
    align-items: center;
    justify-items: center;
    cursor: pointer;
    transition: 400ms;
    padding: 0 1px 1px 1px;
    box-shadow: 1px 0px 6px -2px #7a7e80;

}
.cont_adm_top_btn_text:hover
{
    background-color: #cae6e0;
    transition: 400ms;
}
.cont_adm_top_btn
{
    border: 1px #75A99C solid;
    border-bottom: 1px #e3f0ed solid;
    border-radius: 20px 20px 0px 0px;
    background-color: #E3F0ED;
    display: grid;
    grid-template-columns: 40px auto;
    align-items: center;
    justify-items: center;
    cursor: pointer;
    transition: 400ms;
    margin-right: 45px;
    box-shadow: 1px 0px 6px -2px #7a7e80;
}
.cont_adm_top_btn:hover
{
    background-color: #cae6e0;
    transition: 400ms;
}
.cont_adm_top_btn:hover .cont_adm_top_btn_in
{
    background-color: #ffffff;
    border: 1px #9ca1a6 solid;
    transition: 400ms;
}
.cont_adm_top_btn_text:hover .cont_adm_top_btn_in_text
{
    background-color: #ffffff;
    border: 1px #9ca1a6 solid;
    transition: 400ms;
}
.cont_adm_top_btn_in_text
{
    font-size: 1em !important;
}
.cont_adm_top_btn_in
{
    background-color: #9ACABE;
    border: 1px #9ACABE solid;
    border-radius: 17px;
    padding: 0.5em 1.5em;
    text-align: center;
    line-height: 1.3;
    margin: 0.2em;
    font-size: 0.85em;
    color: #000;
    transition: 400ms;
}






.cont_adm_dot
{
    border: 1px dashed #49515c;
}
.cont_adm_center
{
    display: grid;
    height: 100%;
}
.adm_con_2cell
{
    display: grid;
    grid-template-columns: 70px auto;
    align-items: center;    
}
.adm_con_2cell_1
{
    border-right: 2px solid #49515c;
    display: grid;
    align-items: center;
    justify-items: center;
}
.adm_con_2cell_2
{
    text-align: left;
    padding: 0em 1em;
}
.block_btn_top_right_cell_1
{
    position: relative;
    display: grid;
    grid-template-columns: auto 30px;
    grid-column-gap: 0.3em;
    margin: -0.5em -0.5em -1em 0;
}
.btn_delete
{
    background: linear-gradient(to top, #fca5a5, #ffe0e0);
    border-radius: 50%;
    display: grid;
    justify-items: center;
    box-shadow: -1px 2px 3px 1px #656869b5;
    color: #531818;
    font-weight: bold;
    font-size: 1.5em;
    height: 30px;
    width: 30px;
    align-items: center;
    transition: 400ms;
    user-select: none;
    cursor: pointer;
}
.btn_delete:hover
{
    box-shadow: -1px 1px 1px 1px #656869b5;
    background: linear-gradient(to top, #fca5a5, #edcfcf);
    transition: 400ms;
}
.btn_delete img
{
    height: 16px;
}
.btn_edit
{
    background: linear-gradient(to top, #3dc39c, #bfefbe);
    border-radius: 50%;
    display: grid;
    justify-items: center;
    box-shadow: -1px 2px 3px 1px #656869b5;
    color: #531818;
    font-weight: bold;
    font-size: 1.5em;
    height: 30px;
    width: 30px;
    align-items: center;
    transition: 400ms;
    cursor: pointer;
    user-select: none;
    position: relative;
    z-index: 10;
}
.btn_edit:hover
{
    box-shadow: -1px 1px 1px 1px #656869b5;
    background: linear-gradient(to top, #3bb793, #bfefbe);
    transition: 400ms;
}
.btn_edit img
{
    height: 16px;
}
.bnt_ico_soc
{
    width: 30px;
    margin-bottom: -0.4em;
    margin-right: 0.5em;
}
/* Oleg style END*/





/* Стили модального окна */

/* свойства модального окна по умолчанию */
.modal {
  position: fixed;
  display: grid;
  /* фиксированное положение */
  top: 0px;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.5);
  /* цвет фона */
  /*z-index: 100000;*/
  z-index: 100000000;
  opacity: 0;
  /* по умолчанию модальное окно прозрачно */
  transition: opacity 300ms ease-in;
  /* анимация перехода */
  pointer-events: none;
  /* элемент невидим для событий мыши */
}

/* при отображении модального окно */
.modal.open {
  opacity: 1;
  pointer-events: auto;
  overflow-y: auto;
  display: grid;
  align-items: center;
  justify-items: center;
}

/* ширина модального окна и его отступы от экрана */
.modal-dialog {
  position: relative;
  width: auto;
  margin: 10px;
  display: grid;
  align-items: center;
  justify-items: center;
}


/* свойства для блока, содержащего контент модального окна */
.modal-content {
  position: relative;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: 20px;
  outline: 0;
  min-width: 600px;
  box-shadow: 3px 4px 19px 5px #5a6367;
}

.modal-content-big
{
    width: 900px;
}
.modal-content-big-img
{
    width: 98%;
    max-width: 1000px;
}
.modal-content-sort-img
{
    width: 900px;   
}
.modal-header
{
    height: 80px;
    border-radius: 20px 20px 0px 0px;
    background-color: #F7F9F9;
    display: grid;
    grid-template-columns: auto 80px;
    align-items: center;
}
.modal-header-h1
{
    text-align: center;
    font-size: 1.8em;
    color: #525252;
    padding: 0em 0.5em;

}
.modal-header-cell_del
{
    display: grid;
}
.modal-header_del
{
    display: inline-grid;
    background-color: #9ACABE;
    border-radius: 3em 0px 0px 3em;
}
.bnt_ico_close
{
    width: 1.4em;
    cursor: pointer;
}
.modal_cicle
{
    border-radius: 50%;
    border: 2px #0B5F4A solid;
    background-color: #BFE6DC;
    height: 2.2em;
    width: 2.2em;
    display: grid;
    align-items: center;
    justify-items: center;
    box-shadow: 2px 2px 8px -2px #7a7e80;
    margin: 0.4em;
    transition: 300ms;
    transform: rotate(-180deg);
    cursor: pointer;
}
.modal_cicle:hover
{
    background-color: #fdffb5;
    transition: 300ms;
}
.modal_cicle:hover .bnt_ico_close
{
    transform: rotate(180deg);
    transition: 300ms;
}
.modal-cont-2cell
{
    display: inline-grid;
    grid-template-columns: auto auto;
    grid-column-gap: 1em;
    align-items: center;
    margin: 1.5em 1em;
    font-size: 1.1em;
}
.modal-footer-btn
{
    display: inline-grid;
	position:relative;
}
.modal-footer-btn-2
{
    display: inline-grid;
    grid-template-columns: auto auto;   
    grid-column-gap: 2em;
}
.saveImg
{
	display:none;
	width: 100%;
    height: 100%;
}
.modal-footer-bg
{
    background-color: #F7F9F9;
    border-radius: 0px 0px 20px 20px;
    padding: 0.7em;
}
.modal_sort_images
{
    margin: 0em 2em 2em 2em;
}
.moda_sort_img_hover:hover
{
    opacity: 0.7;
}
.modal-sort-2cell
{
    display: grid;
    grid-template-columns: auto auto;
    grid-column-gap: 1em;
    align-items: center;
    margin: 1em 1em 0em 1em;
    font-size: 0.9em;
    text-align: left;
}
.modal-img-seo-text
{
    padding: 10px 10px 0px 10px;
    width: 95%;
    background: linear-gradient(to top, #f6f6fd, #fff);
    border-radius: 5px;
    margin: 1em 0;
    min-height: 2em;
}
textarea.modal-img-seo-text[name="textfield2"]
{
	padding: 5px;
}
@media (max-width: 500px)
{
	.modal-img-seo-text
	{
		min-height: 40px;
	}
}
.modal_soc_tab
{
    display: grid;
    grid-row-gap: 1em;
    margin: 1em 0em;
}
@media screen and (max-height: 700px)
{
    .modal_soc_tab{grid-row-gap: 0.4em;}
    .modal_cont_name{font-size: 0.8em; line-height: 1.9; margin: -2.1em 0em 0.1em 1em;}
}
.soc_seti_text
{
    margin: 1em 1em 0 1em;
    border-left: 3px solid #cddfda;
    padding-left: 1em;
}
.modal_soc_cell_cont
{
    display: grid;
    grid-template-columns: 100px 100px auto;
    grid-column-gap: 0.5em;
    padding: 0.5em;
    margin: 0em 1em;
    align-items: center;
}
.modal_soc_cell_cont input
{
    width: 95%;
}
.modal_soc_cell
{
    display: grid;
    grid-template-columns: 200px auto;
    padding: 0.5em;
    margin: 0em 1em;
    align-items: center;
}
.modal_soc_cell_url
{
    padding: 5px 12px;
    border: 1px solid #a59f9f52;
    border-right: none;
    border-radius: 5px 0 0 5px;
    margin-right: -5px;
    padding-right: 8px;
    background-color: #ffffff3b;
}
.modal_soc_cell_checkbox
{
    display: grid;
    grid-template-columns: auto auto;
    align-items: center;
}
.modal_soc_cell_tab
{
    display: grid;
    grid-template-columns: auto auto;
    align-items: center;
    justify-content: end;
    padding-right: 1em;
}
.modal_soc_cell input {width: 95%;}
.modal_soc_viber{width: 97% !important;}
.modal_soc_cell_green
{
    background-color: #EBF4F2;
    border: 1px #CDDFDA solid;
}
.modal_soc_cell_yellow
{
    background-color: #F5F5F5;
    border: 1px #D5CFCF solid;
}
.modal_soc_cell_red
{
    background-color: #F0DBDB;
    border: 1px #DCCDCD solid;
}
.modal_cont_ico
{
    height: 3em;
    margin-bottom: -0.7em;
}
.modal_cont_name
{
    display: inline-grid;
    float: left;
    margin: -2.2em 0em 0.2em 1em;
    background-color: #fff;
    padding: 0em 1.5em;
    border-radius: 10px;
    border-bottom: 1px solid #cddfda;
    font-weight: bold;
}
.modal_cont_name_top
{
    margin-top: 1em;
}
input[type='email'].styler, input[type='password'].styler, input[type='search'].styler, input[type='tel'].styler, input[type='text'].styler, input[type='url'].styler, textarea.styler {
    padding: 13px 12px;
    border: 1px solid #a59f9f;
    border-bottom-color: #a37171;
    border-radius: 5px;
    box-shadow: inset 1px 1px #f1f1f1, 0 1px 2px rgb(0 0 0 / 10%);
    font: 14px Arial, sans-serif;
    color: #333;
}
.button-cover,
.knobs,
.layer {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.button {
  position: relative;
  top: 50%;
  width: 74px;
  height: 36px;
  overflow: hidden;
}

.button.r,
.button.r .layer {
  border-radius: 100px;
}

.modal .checkbox {
  position: relative;
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
  opacity: 0;
  cursor: pointer;
  z-index: 3;
}

.knobs {
  z-index: 2;
}

.layer {
  width: 97%;
  background-color: #fff;
  border-radius: 3px;
  border: 1px #9ACABE solid;
  transition: 0.3s ease all;
  z-index: 1;
}




/* Button 17 */
#button-check .knobs:before,
#button-check .knobs span {
  content: "ON";
  position: absolute;
  top: 4px;
  left: 4px;
  width: 20px;
  height: 10px;
  color: #fff;
  font-size: 10px;
  font-weight: bold;
  text-align: center;
  line-height: 1;
  padding: 9px 4px;
}

#button-check .knobs:before {
  transition: 0.3s ease all, left 0.5s cubic-bezier(0.18, 0.89, 0.35, 1.15);
  z-index: 2;
}

#button-check .knobs span {
  background-color: #03a9f4;
  border-radius: 2px;
  transition: 0.3s ease all, left 0.3s cubic-bezier(0.18, 0.89, 0.35, 1.15);
  z-index: 1;
}

#button-check .checkbox:checked + .knobs:before {
  content: "OFF";
  left: 42px;
}

#button-check .checkbox:checked + .knobs span {
  left: 42px;
  background-color: #f44336;
}

#button-check .checkbox:checked ~ .layer {
  background-color: #fcebeb;
}
.modal_soc_img
{
    height: 40px;
    margin-bottom: -0.55em;
}
.admin_h1_block
{
    max-width: 1600px;
    margin: 0.5em 1em;
}
/* Стили моддального окна END */



form[name="loadIco"]
{
	z-index: 100000000;
    position: relative;
}
/* Tabs */
    .tabs {
      width: 100%;
      margin-left: auto;
      margin-right: auto;
      margin-top: 0.5em;
    }

    .tabs>input[type="radio"] {
      display: none;
    }

    .tabs>div {
      /* скрыть контент по умолчанию */
      display: none;
      border-top: 1px solid #2e826a;
      border-bottom: 1px solid #2e826a;
      padding: 10px 15px;
    }

    /* отобразить контент, связанный с вабранной радиокнопкой (input type="radio") */
    #tab-btn-1:checked~#content-1,
    #tab-btn-2:checked~#content-2,
    #tab-btn-3:checked~#content-3 {
      display: block;
    }

    .tabs>label {
      display: inline-block;
      text-align: center;
      vertical-align: middle;
      user-select: none;
      background-color: #2e826a;
      border: 1px solid #2e826a;
      padding: 0.1em 1.5em;
      font-size: 1em;
      transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out;
      cursor: pointer;
      position: relative;
      top: 1px;
      margin-left: 0.5em;
      margin-right: -0.3em;
      border-radius: 10px 10px 0px 0px;
      color: #fff;
    }

    .tabs>input[type="radio"]:checked+label {
      background-color: #fff;
      border-bottom: 1px solid #fff;
      color: #0B5F4A;
    }
/* Tabs END */

.modal_seo_tab
{
    display: grid;
    grid-template-columns: 380px auto;
    margin-top: 0.5em;
    grid-column-gap: 2em;
}
.modal_seo_google_tab
{
    display: inline-grid;
    grid-row-gap: 1em;
}
.modal_seo_google_row
{
    display: grid;
    grid-template-columns: 1fr 5fr;
    align-items: center;
    margin-bottom: 0.3em;
}
.modal_seo_google_row div:nth-child(2)
{
    text-align: left;
}
.modal_seo_google_line
{
    border-radius: 5px;
    height: 9px;
    margin-bottom: 9px;
}
.modal_seo_google_title
{
    color: #504da8;
    font-weight: bold;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 310px;
}
.modal_seo_desc
{
    background-color: #fff;
    color: #c1c4ca;
    display: inline-grid;
    margin-top: -5px;
    z-index: 2;
    position: absolute;
    padding-right: 10px;
    width: 310px;
}
.modal_seo_google_line_1
{
    background-color: #504DA8;
    width: 70%;
}
.modal_seo_google_line_2
{
    background-color: #D9DCE3;
}
.modal_seo_google_line_3
{
    background-color: #D9DCE3;
    width: 85%;
}
.modal_seo_google_cell_1
{
    color: green;
    font-weight: bold;
    text-align: center;
    font-size: 1.2em;
}
.modal-seo-text
{
    padding: 10px;
    background: linear-gradient(to top, #f6f6fd, #fff);
    border-radius: 5px;
    min-height: 2em;
    width: 95%;
}
.modal_seo_google_max
{
    text-align: right;
    color: grey;
    font-size: 0.8em;
    margin-top: -1em;
    padding-right: 0.5em;
}

.animShake
{
	position: relative;
	animation: shake 1s;
}

@keyframes shake 
{
	/* Начальное состояние */
  0% { transform: translate(0); }
  
  /* Ключевые кадры */
  10% { transform: translate(-1px, 0); }
  20% { transform: translate(1px, 0); }
  30% { transform: translate(-2px, 0); }
  40% { transform: translate(2px, 0); }
  50% { transform: translate(-3px, 0); }
  60% { transform: translate(3px, 0); }
  70% { transform: translate(-2px, 0); }
  80% { transform: translate(2px, 0); }
  90% { transform: translate(-1px, 0); }
  /* Конечное состояние */
  100% { transform: translate(0); }
}
.modal_seo_google_title
{
    color: #504da8;
    font-weight: bold;
}
.modal_seo_google_description
{
    color: #999b9f;
    font-weight: bold;
}
.modal_seo_google_text
{
    padding: 2em 0em;
}
.favicon_2cell
{
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin: 1em 0em;
}
.favicon_tab
{
    display: grid;
    grid-template-columns: repeat(14, 1fr);
    margin-bottom: 2em;
    margin-top: 0.5em;
}
.favicon_tab>div
{
    border: 1px dashed #6a6a6a;
    margin-right: -1px;
    margin-bottom: -1px;
    display: grid;
    align-items: center;
    justify-items: center;
    padding: 0.5em;
}
.favicon_tab>div>img
{
    height: 32px;
}
.favicon_tab>div>:hover
{   
    background-color: #000;
}
.favicon_upload_block
{
    border: 1px dashed #6a6a6a;
    padding: 0.5em;
    margin-top: 0.5em;
}
.img-responsive
{
    display: block;
    width: 100% \9;
    max-width: 100%;
    height: auto;
}
.favicon_tab_cell
{
    background-color: #fff;
    transition: 300ms;
}
.favicon_tab_cell:hover
{
    background-color: #bfe6dc;
    transition: 300ms;
}
.serarch_block
{
    display: grid;
    grid-template-columns: 300px auto;
    grid-column-gap: 1em;
    margin: 1em;
}
.serarch_form
{
    padding-left: 1em;
    border: 1px dashed #6a6a6a;
}
.bnt_ico_google
{
    height: 16px;
    margin: 0.45em 0 0 0.4em;
}
.site_off{display: none;}



/* Load images */
.prew_block
{
    z-index: 11111;
    position: relative;
}
.prew_block_green
{
    background-color: #9ACABE;
    padding: 1em 2em;
   /* margin-top: 1.2em;*/
	display:none;
}
.prew_panel
{
    display: grid;
    grid-template-columns: auto auto auto;
    grid-template-rows: auto auto auto;
    align-items: center;
    justify-items: center;
    background-color: #ffffff75;
    background-image: url(/katia/webring/parts/imgs/prew-img-bg.png);
}

.prew_panel_cell_img
{
    width: 420px;
    height: 300px;
}
.prew_panel_cell_img img
{
    height: 100%;
    width: auto;
}
/* Load images END */
@media (max-width: 995px)
{
    .site_mobi_off{display: none;}
    .favicon_2cell{grid-template-columns: auto;}
    .favicon_tab{grid-template-columns: repeat(10, 1fr);}
    .modal_seo_tab{grid-template-columns: auto;}
    .serarch_block{grid-template-columns: auto; grid-row-gap: 1em;}
    .admin_top_menu{grid-template-columns: auto 50px 50px; padding: 0em;}
    textarea.modal-img-seo-text[name="textfield2"]{padding: 10px;}

}
@media (max-width: 640px)
{
    .site_mobi_off_640{display: none;}
    .favicon_tab{grid-template-columns: repeat(6, 1fr);}
    .modal-seo-text{width: 90%;}
    .tabs>label{font-size: 0.9em; padding: 0.1em 0.9em 0em 0.9em; margin-left: 0.3em;}
    .site_mobi_on_640{display: block;}
    .modal_soc_cell_cont input{width: 88%;}
    .admin_btn_top_menu_ico{display: none;}
}

#image-preview {
      max-width: 100%;
      max-height: 500px;
    }

    .cropper-container {
      width: 100%;
      height: 90vh;
      position: relative;
      top: 0;
      left: 0;
      z-index: 999;
    }

    /*.cropper-crop-box {
      aspect-ratio: 1;
    }*/

    /* Адаптация для мобильных устройств */
    @media screen and (max-width: 480px) {
      .cropper-container {
        height: 70vh !important;
      }
    }

    #rotate-btn-container {
      display: none;
      position: relative;
      z-index: 999;
    }
.rotate-btn-container-tab
{
    display: grid;
    grid-template-columns: 132px auto 132px;
    position: absolute;
    width: 100%;
    margin-left: 10px;
}
.rotate_left_btn_cont_left
{
    border-radius: 0 40px 40px 0;
    background: linear-gradient(to right, #9acabe, #9acabe);
    display: grid;
    grid-template-columns: auto 50px;
    width: 131px;
    align-items: center;
    justify-items: center;
    font-size: 1.5em;
    color: #0B5F4A;
    font-weight: bold;
    cursor: pointer;
    border: 2px #9ACABE solid;
    border-left: none;
    user-select: none;
    margin-top: -100%;
    box-shadow: 6px 4px 5px -1px #303030;
    margin-left: -20px;
    transition: 500ms;
}
.rotate_left_btn_cont_right
{
    border-radius: 40px 0 0 40px;
    background: linear-gradient(to right, #9acabe, #9acabe);
    display: grid;
    grid-template-columns: 50px auto;
    width: 131px;
    align-items: center;
    justify-items: center;
    font-size: 1.5em;
    color: #0B5F4A;
    font-weight: bold;
    cursor: pointer;
    border: 2px #9ACABE solid;
    border-right: none;
    user-select: none;
    margin-top: -100%;
    box-shadow: -6px 4px 5px -1px #303030;
    transition: 500ms;
}
.radial_rotate
{
    background-color: #BFE6DC;
    border-radius: 50px;
    border: 2px #0B5F4A solid;
    width: 40px;
    height: 40px;
    display: grid;
    align-items: center;
    justify-items: center;
    cursor: pointer;
    transform: rotate(1deg);
    
}
.rotate_left_btn_cont_left:hover .radial_rotate
{
    transform: rotate(359deg);
    background-color: #fdffb5;
    transition: 500ms;
}
.rotate_left_btn_cont_left:hover
{
    background: linear-gradient(to right, #9acabe, #4db59b);
    border: 2px #4db59b solid;
    border-left: none;
    transition: 500ms;
}
.rotate_left_btn_cont_right:hover .radial_rotate
{
    transform: rotate(-359deg);
    background-color: #fdffb5;
    transition: 500ms;
}
.rotate_left_btn_cont_right:hover
{
    background: linear-gradient(to right, #4db59b, #9acabe);
    border: 2px #4db59b solid;
    border-right: none;
    transition: 500ms;
}
.radial_rotate img 
{
    width: 30px;
    margin-top: -2px;
}
#save-btn 
{
  bottom: 20px;
  right: 20px;
  z-index: 999;
     cursor: pointer;
}

.btn_green_hov
{
	background-color: white; 
    transition: 400ms; 
}
.putImgInput,.saveImg
{
	cursor:pointer;
}
.gal_border
{
	height:100%;
}

@media (max-width: 995px)
{
    .cont_adm_tab{grid-template-columns: auto; grid-row-gap: 0.7em;}
    .soc_adm_block{grid-template-columns: 1fr; grid-row-gap: 0.7em;}
    .modal-content-big{width: auto;}
    .modal-img-seo-text{width: 90%;}
    .modal-sort-2cell{font-size: 1em;}
    .modal-header-h1{font-size: 1.6em; line-height: 1.2;}
    .modal-header{height: auto; min-height: 80px;}
    .modal_cont_name_top {padding-right: 1em;}
    .modal_soc_cell{grid-template-columns: 130px auto; margin: 0em 0.5em;}
    .modal-sort-2cell img {max-width: 150px;}
    .modal_sort_images{margin: 0em 1em 1em 1em;}
    .modal-content-sort-img{width: 800px;}
    .rotate_left_btn_cont_right{margin-top: -100%;}
    .rotate_left_btn_cont_left{margin-top: -100%;}
    .modal-content-big{width: 800px;}
}
@media (max-width: 850px)
{
    .modal-content-sort-img, .modal-content-big{width: 700px;}
}
@media (max-width: 750px)
{
    .modal-content-sort-img{width: 600px;}
    .modal-content-big{width: 100%;}
    .tabs>label{font-size: 0.9em;}
    .modal-content-soc{width: 500px;}
}
@media (max-width: 640px)
{
    .modal-sort-2cell{grid-template-columns: auto;}
    .modal-content{min-width: 100%;}
    .modal_soc_m_w input{width: 89%;}
    .modal-content-sort-img{width: 500px;}
    .tabs>label{font-size: 1em;}
    .modal-content-soc{width: 380px; min-width: 360px;}
    .modal_soc_cell{grid-template-columns: auto;}
    .modal_soc_cell input {width: 93%;}
    .modal_soc_cell_url{font-size: 0.9em;}
    .modal_soc_cell{grid-row-gap: 0.5em;}
    .lang_tab{grid-template-columns: auto; grid-row-gap: 1em; max-width: 200px;}
}
@media (max-width: 550px)
{
    .modal-content-sort-img{width: 380px;}
    .modal-footer-btn-2{grid-row-gap: 0.5em; grid-template-columns: auto;}
    .admin_btn_top_menu_p1, .admin_btn_top_menu_p2{padding: 0.35em 1em 0.35em 0.7em; border-radius: 10px;}
    .admin_btn_top_menu_p1 img{margin: -0.5em 0.5em -0.6em 0em;}
    .admin_btn_top_menu_p2{min-height: 2.5em;}
    .admin_btn_top_menu_p1{min-height: 2.4em;}
    .admin_footer_menu{grid-template-columns: auto auto;}
    .admin_top_menu{padding: 0.1em 0; height: auto;}
    .admin_top_menu_tab{grid-column-gap: 0.5em; margin: 0 0.5em; padding-bottom: 0.2em;}
    .admin_btn_top_menu{line-height: 1.2; border-radius: 10px; height: 2.8em;}

}
@media (max-width: 500px)
{
    .gal_block_dot{margin: 0em 0.5em -0.6em 0.5em;}
    .gal_block_dot_small_img{margin: 0em 0.5em;}


    .modal-footer-btn-2{grid-row-gap: 0.5em;}
    .tabs>label{font-size: 0.9em;}
}

.imgDiskrpshn,.cleanCropper
{
	display:none;
}

.seoExmplTop
{
	display:flex;
	text-align:left;
}

.seoExmplTop img{
	height:18px;
}

.seoExmplTop>div:first-child 
{
	display:flex;
	justify-content:center;
	align-items:center;
	font-family: arial,sans-serif;
}

.seoExmplTop>div:nth-child(2) 
{
	color: #202124;
    font-size: 14px;
    max-width: 200px;
    display: block;
    line-height: 20px;
    white-space: nowrap;
	margin-left:12px;
	text-align:left;
}

.seoExmplTitle
{
	font-family: arial,sans-serif;
    font-size: 20px;
    font-weight: 400;
	color: #1a0dab;
	text-align:left;
}

.seoExmplBottom
{
	line-height: 1.58;
    text-align: left;
	font-family: arial,sans-serif;
    font-size: 12px;
	color: #4d5156;
}

.wrongFormat
{
	text-align:center;
}
.tox .tox-tbtn--bespoke .tox-tbtn__select-label{width: auto !important;}
.seo-attention-block
{
    display: grid;
    grid-template-columns: 40px auto;
}
.seo-attent
{
    width: 30px;
}
.seo-attention-bg
{
        background-color: #f6d2d7;
    border-radius: 0.3em;
    margin-top: 0.6em;
    padding: 0.5em 0.5em 0 0.5em;
}
.modal-content-seo
{
	min-width: 1000px;
}
.seo_info_block
{
	padding: 1em;
}
.seo_info_ab
{
	padding: 0.5em 0 0.5em 1.5em;
	border: 1px dashed #6a6a6a;
}
.seo_info_block b {font-size: 1.2em; font-weight: bold;}
.seo_info_bz{padding-left: 3em;}


.lngvgNotChosen
{
	color: #a92020;
    text-align: center;
    padding: 10px 0 0 0;
}

#rn_form_template
{
	align-items: center;
}

#rn_form_template .RN-formItemsWrap
{
	background-color: #fff;
    background-clip: padding-box;
    outline: 0;
    min-width: 600px;
    padding-top: 1.5em;
	z-index:1;
}

#rn_form_template center 
{
	min-width: 600px;
}

.RN-formItemsWrap .cont_form_tab_2
{
    grid-template-columns: auto auto;
}
@media (max-width: 640px) 
{
    #rn_form_template .RN-formItemsWrap{min-width: 430px;}
    #rn_form_template center{min-width: 430px;}	
	.RN-formItemsWrap .cont_form_tab_2{grid-template-columns: auto 0; grid-column-gap: 22px;}
}
@media (max-width: 450px) 
{
    #rn_form_template .RN-formItemsWrap{min-width: 390px;}
    #rn_form_template center{min-width: 390px;}	
}
